Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -3295,11 +3290,11 @@
 		$recs = $TYPO3_DB->exec_SELECTgetRows(
 			'*',
 			'sys_refindex',
-			'ref_table='.$TYPO3_DB->fullQuoteStr('_FILE', 'sys_refindex').
+			'ref_table=' . $TYPO3_DB->fullQuoteStr('_FILE', 'sys_refindex') .
-				' AND ref_string LIKE '.$TYPO3_DB->fullQuoteStr('%/RTEmagic%', 'sys_refindex').
+			' AND ref_string LIKE ' . $TYPO3_DB->fullQuoteStr('%/RTEmagic%', 'sys_refindex') .
-				' AND softref_key='.$TYPO3_DB->fullQuoteStr('images', 'sys_refindex').
+			' AND softref_key=' . $TYPO3_DB->fullQuoteStr('images', 'sys_refindex') .
-				' AND tablename='.$TYPO3_DB->fullQuoteStr($table, 'sys_refindex').
+			' AND tablename=' . $TYPO3_DB->fullQuoteStr($table, 'sys_refindex') .
-				' AND recuid='.intval($theNewSQLID),
+			' AND recuid=' . intval($theNewSQLID),
 			'',
 			'sorting DESC'
 		);
@@ -3307,61 +3302,68 @@
 
 			// Traverse the files found and copy them:
 		if (is_array($recs)) {
-			foreach($recs as $rec)	{
+			foreach ($recs as $rec) {
 				$filename = basename($rec['ref_string']);
 				$fileInfo = array();
-				if (t3lib_div::isFirstPartOfStr($filename,'RTEmagicC_'))	{
+				if (t3lib_div::isFirstPartOfStr($filename, 'RTEmagicC_')) {
 
-					$fileInfo['exists'] = @is_file(PATH_site.$rec['ref_string']);
+					$fileInfo['exists'] = @is_file(PATH_site . $rec['ref_string']);
-					$fileInfo['original'] = substr($rec['ref_string'],0,-strlen($filename)).'RTEmagicP_'.preg_replace('/\.[[:alnum:]]+$/','',substr($filename,10));
+					$fileInfo['original'] = substr($rec['ref_string'], 0, -strlen($filename)) . 'RTEmagicP_' . preg_replace('/\.[[:alnum:]]+$/', '', substr($filename, 10));
-					$fileInfo['original_exists'] = @is_file(PATH_site.$fileInfo['original']);
+					$fileInfo['original_exists'] = @is_file(PATH_site . $fileInfo['original']);
 
-					// CODE from tx_impexp and class.rte_images.php adapted for use here:
+						// CODE from tx_impexp and class.rte_images.php adapted for use here:
 
-					if ($fileInfo['exists'] && $fileInfo['original_exists'])	{
+					if ($fileInfo['exists'] && $fileInfo['original_exists']) {
 
 							// Initialize; Get directory prefix for file and set the original name:
-						$dirPrefix = dirname($rec['ref_string']).'/';
+						$dirPrefix = dirname($rec['ref_string']) . '/';
 						$rteOrigName = basename($fileInfo['original']);
 
 							// If filename looks like an RTE file, and the directory is in "uploads/", then process as a RTE file!
-						if ($rteOrigName && t3lib_div::isFirstPartOfStr($dirPrefix,'uploads/') && @is_dir(PATH_site.$dirPrefix))	{	// RTE:
+						if ($rteOrigName && t3lib_div::isFirstPartOfStr($dirPrefix, 'uploads/') && @is_dir(PATH_site . $dirPrefix)) { // RTE:
 
 								// From the "original" RTE filename, produce a new "original" destination filename which is unused.
-							$origDestName = $this->fileFunc->getUniqueName($rteOrigName, PATH_site.$dirPrefix);
+							$origDestName = $this->fileFunc->getUniqueName($rteOrigName, PATH_site . $dirPrefix);
 
 								// Create copy file name:
 							$pI = pathinfo($rec['ref_string']);
-							$copyDestName = dirname($origDestName).'/RTEmagicC_'.substr(basename($origDestName),10).'.'.$pI['extension'];
+							$copyDestName = dirname($origDestName) . '/RTEmagicC_' . substr(basename($origDestName), 10) . '.' . $pI['extension'];
 							if (!@is_file($copyDestName) && !@is_file($origDestName)
-								&& $origDestName===t3lib_div::getFileAbsFileName($origDestName) && $copyDestName===t3lib_div::getFileAbsFileName($copyDestName))	{
+															  && $origDestName === t3lib_div::getFileAbsFileName($origDestName) && $copyDestName === t3lib_div::getFileAbsFileName($copyDestName)) {
 
 									// Making copies:
-								t3lib_div::upload_copy_move(PATH_site.$fileInfo['original'],$origDestName);
+								t3lib_div::upload_copy_move(PATH_site . $fileInfo['original'], $origDestName);
-								t3lib_div::upload_copy_move(PATH_site.$rec['ref_string'],$copyDestName);
+								t3lib_div::upload_copy_move(PATH_site . $rec['ref_string'], $copyDestName);
 								clearstatcache();
 
 									// Register this:
-								$this->RTEmagic_copyIndex[$rec['tablename']][$rec['recuid']][$rec['field']][$rec['ref_string']] = substr($copyDestName,strlen(PATH_site));
+								$this->RTEmagic_copyIndex[$rec['tablename']][$rec['recuid']][$rec['field']][$rec['ref_string']] = substr($copyDestName, strlen(PATH_site));
 
 									// Check and update the record using the t3lib_refindex class:
-								if (@is_file($copyDestName))	{
+								if (@is_file($copyDestName)) {
 									$sysRefObj = t3lib_div::makeInstance('t3lib_refindex');
-									$error = $sysRefObj->setReferenceValue($rec['hash'],substr($copyDestName,strlen(PATH_site)),FALSE,TRUE);
+									$error = $sysRefObj->setReferenceValue($rec['hash'], substr($copyDestName, strlen(PATH_site)), FALSE, TRUE);
-									if ($error)	{
+									if ($error) {
-										echo $this->newlog('t3lib_refindex::setReferenceValue(): '.$error,1);
+										echo $this->newlog('t3lib_refindex::setReferenceValue(): ' . $error, 1);
 									}
-								} else $this->newlog('File "'.$copyDestName.'" was not created!',1);
-							} else $this->newlog('Could not construct new unique names for file!',1);
-						} else $this->newlog('Maybe directory of file was not within "uploads/"?',1);
-					} else $this->newlog('Trying to copy RTEmagic files ('.$rec['ref_string'].' / '.$fileInfo['original'].') but one or both were missing',1);
+								} else {
+									$this->newlog('File "' . $copyDestName . '" was not created!', 1);
-				}
+								}
+							} else {
+								$this->newlog('Could not construct new unique names for file!', 1);
-			}
+							}
+						} else {
+							$this->newlog('Maybe directory of file was not within "uploads/"?', 1);
-		}
+						}
+					} else {
+						$this->newlog('Trying to copy RTEmagic files (' . $rec['ref_string'] . ' / ' . $fileInfo['original'] . ') but one or both were missing', 1);
-	}
+					}
+				}
+			}
+		}
+	}
 
 
-
 	/**
 	 * Find l10n-overlay records and perform the requested move action for these records.
 	 *
@@ -3370,7 +3372,7 @@
 	 * @param	string		$destPid: Position to move to
 	 * @return	void
 	 */
-	function copyL10nOverlayRecords($table, $uid, $destPid, $first=0, $overrideValues=array(), $excludeFields='') {
+	function copyL10nOverlayRecords($table, $uid, $destPid, $first = 0, $overrideValues = array(), $excludeFields = '') {
 			//there's no need to perform this for page-records
 		if (!t3lib_BEfunc::isTableLocalizable($table) || !empty($GLOBALS['TCA'][$table]['ctrl']['transForeignTable']) || !empty($GLOBALS['TCA'][$table]['ctrl']['transOrigPointerTable'])) {
 			return;
@@ -3390,13 +3392,6 @@
 	}
 
 
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Cmd: Moving, Localizing
@@ -3411,55 +3406,55 @@
 	 * @param	integer		Position to move to: $destPid: >=0 then it points to a page-id on which to insert the record (as the first element). <0 then it points to a uid from its own table after which to insert it (works if
 	 * @return	void
 	 */
-	function moveRecord($table,$uid,$destPid)	{
+	function moveRecord($table, $uid, $destPid) {
 		global $TCA, $TYPO3_CONF_VARS;
 
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
 
 				// In case the record to be moved turns out to be an offline version,
 				// we have to find the live version and work on that one (this case
 				// happens for pages with "branch" versioning type)
 				// note: as "branch" versioning is deprecated since TYPO3 4.2, this
 				// functionality will be removed in TYPO3 4.7 (note by benni: a hook could replace this)
-			if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table,$uid,'uid'))	{
+			if ($lookForLiveVersion = t3lib_BEfunc::getLiveVersionOfRecord($table, $uid, 'uid')) {
 				$uid = $lookForLiveVersion['uid'];
 			}
 
 				// Initialize:
 			$destPid = intval($destPid);
 
-			$propArr = $this->getRecordProperties($table,$uid);	// Get this before we change the pid (for logging)
+			$propArr = $this->getRecordProperties($table, $uid); // Get this before we change the pid (for logging)
-			$moveRec = $this->getRecordProperties($table,$uid,TRUE);
+			$moveRec = $this->getRecordProperties($table, $uid, TRUE);
-			$resolvedPid = $this->resolvePid($table,$destPid);	// This is the actual pid of the moving to destination
+			$resolvedPid = $this->resolvePid($table, $destPid); // This is the actual pid of the moving to destination
 
 				// Finding out, if the record may be moved from where it is. If the record is a non-page, then it depends on edit-permissions.
 				// If the record is a page, then there are two options: If the page is moved within itself, (same pid) it's edit-perms of the pid. If moved to another place then its both delete-perms of the pid and new-page perms on the destination.
-			if ($table!='pages' || $resolvedPid==$moveRec['pid'])	{
+			if ($table != 'pages' || $resolvedPid == $moveRec['pid']) {
-				$mayMoveAccess = $this->checkRecordUpdateAccess($table,$uid);	// Edit rights for the record...
+				$mayMoveAccess = $this->checkRecordUpdateAccess($table, $uid); // Edit rights for the record...
 			} else {
-				$mayMoveAccess = $this->doesRecordExist($table,$uid,'delete');
+				$mayMoveAccess = $this->doesRecordExist($table, $uid, 'delete');
 			}
 
 				// Finding out, if the record may be moved TO another place. Here we check insert-rights (non-pages = edit, pages = new), unless the pages are moved on the same pid, then edit-rights are checked
-			if ($table!='pages' || $resolvedPid!=$moveRec['pid'])	{
+			if ($table != 'pages' || $resolvedPid != $moveRec['pid']) {
-				$mayInsertAccess = $this->checkRecordInsertAccess($table,$resolvedPid,4);	// Insert rights for the record...
+				$mayInsertAccess = $this->checkRecordInsertAccess($table, $resolvedPid, 4); // Insert rights for the record...
 			} else {
-				$mayInsertAccess = $this->checkRecordUpdateAccess($table,$uid);
+				$mayInsertAccess = $this->checkRecordUpdateAccess($table, $uid);
 			}
 
 				// Checking if there is anything else disallowing moving the record by checking if editing is allowed
 			$fullLanguageCheckNeeded = ($table != 'pages');
-			$mayEditAccess = $this->BE_USER->recordEditAccessInternals($table, $uid, false, false, $fullLanguageCheckNeeded);
+			$mayEditAccess = $this->BE_USER->recordEditAccessInternals($table, $uid, FALSE, FALSE, $fullLanguageCheckNeeded);
 
 				// If moving is allowed, begin the processing:
-			if ($mayEditAccess)	{
+			if ($mayEditAccess) {
-				if ($mayMoveAccess)	{
+				if ($mayMoveAccess) {
-					if ($mayInsertAccess)	{
+					if ($mayInsertAccess) {
 
 						$recordWasMoved = FALSE;
 
 							// move the record via a hook, used e.g. for versioning
-						if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'])) {
+						if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'])) {
 							foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'] as $classRef) {
 								$hookObj = t3lib_div::getUserObj($classRef);
 								if (method_exists($hookObj, 'moveRecord')) {
@@ -3474,13 +3469,13 @@
 						}
 
 					} else {
-						$this->log($table,$uid,4,0,1,"Attempt to move record '%s' (%s) without having permissions to insert.",14,array($propArr['header'],$table.':'.$uid),$propArr['event_pid']);
+						$this->log($table, $uid, 4, 0, 1, "Attempt to move record '%s' (%s) without having permissions to insert.", 14, array($propArr['header'], $table . ':' . $uid), $propArr['event_pid']);
 					}
 				} else {
-					$this->log($table,$uid,4,0,1,"Attempt to move record '%s' (%s) without having permissions to do so.",14,array($propArr['header'],$table.':'.$uid),$propArr['event_pid']);
+					$this->log($table, $uid, 4, 0, 1, "Attempt to move record '%s' (%s) without having permissions to do so.", 14, array($propArr['header'], $table . ':' . $uid), $propArr['event_pid']);
 				}
 			} else {
-				$this->log($table,$uid,4,0,1,"Attempt to move record '%s' (%s) without having permissions to do so. [".$this->BE_USER->errorMsg."]",14,array($propArr['header'],$table.':'.$uid),$propArr['event_pid']);
+				$this->log($table, $uid, 4, 0, 1, "Attempt to move record '%s' (%s) without having permissions to do so. [" . $this->BE_USER->errorMsg . "]", 14, array($propArr['header'], $table . ':' . $uid), $propArr['event_pid']);
 			}
 		}
 	}
@@ -3496,24 +3491,24 @@
 	 * @return	void
 	 * @see moveRecord()
 	 */
-	function moveRecord_raw($table,$uid,$destPid)	{
+	function moveRecord_raw($table, $uid, $destPid) {
 		global $TCA, $TYPO3_CONF_VARS;
 
 		$sortRow = $TCA[$table]['ctrl']['sortby'];
 		$origDestPid = $destPid;
-		$resolvedPid = $this->resolvePid($table,$destPid);	// This is the actual pid of the moving to destination
+		$resolvedPid = $this->resolvePid($table, $destPid); // This is the actual pid of the moving to destination
 
 			// Checking if the pid is negative, but no sorting row is defined. In that case, find the correct pid. Basically this check make the error message 4-13 meaning less... But you can always remove this check if you prefer the error instead of a no-good action (which is to move the record to its own page...)
-		if (($destPid<0 && !$sortRow) || $destPid>=0)	{	// $destPid>=0 because we must correct pid in case of versioning "page" types.
+		if (($destPid < 0 && !$sortRow) || $destPid >= 0) { // $destPid>=0 because we must correct pid in case of versioning "page" types.
 			$destPid = $resolvedPid;
 		}
 
-		$propArr = $this->getRecordProperties($table,$uid);	// Get this before we change the pid (for logging)
+		$propArr = $this->getRecordProperties($table, $uid); // Get this before we change the pid (for logging)
-		$moveRec = $this->getRecordProperties($table,$uid,TRUE);
+		$moveRec = $this->getRecordProperties($table, $uid, TRUE);
 
 			// Prepare user defined objects (if any) for hooks which extend this function:
 		$hookObjectsArr = array();
-		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'])) {
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'] as $classRef) {
 				$hookObjectsArr[] = t3lib_div::getUserObj($classRef);
 			}
@@ -3521,107 +3516,111 @@
 
 			// Timestamp field:
 		$updateFields = array();
-		if ($TCA[$table]['ctrl']['tstamp'])	{
+		if ($TCA[$table]['ctrl']['tstamp']) {
 			$updateFields[$TCA[$table]['ctrl']['tstamp']] = $GLOBALS['EXEC_TIME'];
 		}
 
-		if ($destPid>=0)	{	// insert as first element on page (where uid = $destPid)
+		if ($destPid >= 0) { // insert as first element on page (where uid = $destPid)
-			if ($table!='pages' || $this->destNotInsideSelf($destPid,$uid))	{
+			if ($table != 'pages' || $this->destNotInsideSelf($destPid, $uid)) {
-				$this->clear_cache($table,$uid);	// clear cache before moving
+				$this->clear_cache($table, $uid); // clear cache before moving
 
-				$updateFields['pid'] = $destPid;	// Setting PID
+				$updateFields['pid'] = $destPid; // Setting PID
 
 					// table is sorted by 'sortby'
-				if ($sortRow)	{
+				if ($sortRow) {
-					$sortNumber = $this->getSortNumber($table,$uid,$destPid);
+					$sortNumber = $this->getSortNumber($table, $uid, $destPid);
 					$updateFields[$sortRow] = $sortNumber;
 				}
 
 					// check for child records that have also to be moved
-				$this->moveRecord_procFields($table,$uid,$destPid);
+				$this->moveRecord_procFields($table, $uid, $destPid);
 					// Create query for update:
-				$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid='.intval($uid), $updateFields);
+				$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid=' . intval($uid), $updateFields);
 					// check for the localizations of that element
 				$this->moveL10nOverlayRecords($table, $uid, $destPid);
 
 					// Call post processing hooks:
-				foreach($hookObjectsArr as $hookObj) {
+				foreach ($hookObjectsArr as $hookObj) {
 					if (method_exists($hookObj, 'moveRecord_firstElementPostProcess')) {
 						$hookObj->moveRecord_firstElementPostProcess($table, $uid, $destPid, $moveRec, $updateFields, $this);
 					}
 				}
 
 					// Logging...
-				$newPropArr = $this->getRecordProperties($table,$uid);
+				$newPropArr = $this->getRecordProperties($table, $uid);
-				$oldpagePropArr = $this->getRecordProperties('pages',$propArr['pid']);
+				$oldpagePropArr = $this->getRecordProperties('pages', $propArr['pid']);
-				$newpagePropArr = $this->getRecordProperties('pages',$destPid);
+				$newpagePropArr = $this->getRecordProperties('pages', $destPid);
 
-				if ($destPid!=$propArr['pid'])	{
+				if ($destPid != $propArr['pid']) {
-					$this->log($table,$uid,4,$destPid,0,"Moved record '%s' (%s) to page '%s' (%s)",2,array($propArr['header'],$table.':'.$uid, $newpagePropArr['header'], $newPropArr['pid']),$propArr['pid']);	// Logged to old page
+					$this->log($table, $uid, 4, $destPid, 0, "Moved record '%s' (%s) to page '%s' (%s)", 2, array($propArr['header'], $table . ':' . $uid, $newpagePropArr['header'], $newPropArr['pid']), $propArr['pid']); // Logged to old page
-					$this->log($table,$uid,4,$destPid,0,"Moved record '%s' (%s) from page '%s' (%s)",3,array($propArr['header'],$table.':'.$uid, $oldpagePropArr['header'], $propArr['pid']),$destPid);	// Logged to new page
+					$this->log($table, $uid, 4, $destPid, 0, "Moved record '%s' (%s) from page '%s' (%s)", 3, array($propArr['header'], $table . ':' . $uid, $oldpagePropArr['header'], $propArr['pid']), $destPid); // Logged to new page
 				} else {
-					$this->log($table,$uid,4,$destPid,0,"Moved record '%s' (%s) on page '%s' (%s)",4,array($propArr['header'],$table.':'.$uid, $oldpagePropArr['header'], $propArr['pid']),$destPid);	// Logged to new page
+					$this->log($table, $uid, 4, $destPid, 0, "Moved record '%s' (%s) on page '%s' (%s)", 4, array($propArr['header'], $table . ':' . $uid, $oldpagePropArr['header'], $propArr['pid']), $destPid); // Logged to new page
 				}
-				$this->clear_cache($table,$uid);	// clear cache after moving
+				$this->clear_cache($table, $uid); // clear cache after moving
-				$this->fixUniqueInPid($table,$uid);
+				$this->fixUniqueInPid($table, $uid);
 					// fixCopyAfterDuplFields
-				if ($origDestPid<0)	{$this->fixCopyAfterDuplFields($table,$uid,abs($origDestPid),1);}	// origDestPid is retrieve before it may possibly be converted to resolvePid if the table is not sorted anyway. In this way, copying records to after another records which are not sorted still lets you use this function in order to copy fields from the one before.
+				if ($origDestPid < 0) {
+					$this->fixCopyAfterDuplFields($table, $uid, abs($origDestPid), 1);
+				} // origDestPid is retrieve before it may possibly be converted to resolvePid if the table is not sorted anyway. In this way, copying records to after another records which are not sorted still lets you use this function in order to copy fields from the one before.
 			} else {
-				$destPropArr = $this->getRecordProperties('pages',$destPid);
+				$destPropArr = $this->getRecordProperties('pages', $destPid);
-				$this->log($table,$uid,4,0,1,"Attempt to move page '%s' (%s) to inside of its own rootline (at page '%s' (%s))",10,array($propArr['header'],$uid, $destPropArr['header'], $destPid),$propArr['pid']);
+				$this->log($table, $uid, 4, 0, 1, "Attempt to move page '%s' (%s) to inside of its own rootline (at page '%s' (%s))", 10, array($propArr['header'], $uid, $destPropArr['header'], $destPid), $propArr['pid']);
 			}
-		} else {	// Put after another record
+		} else { // Put after another record
-			if ($sortRow)	{	// table is being sorted
+			if ($sortRow) { // table is being sorted
-				$sortInfo = $this->getSortNumber($table,$uid,$destPid);
+				$sortInfo = $this->getSortNumber($table, $uid, $destPid);
-				$destPid = $sortInfo['pid'];	// Setting the destPid to the new pid of the record.
+				$destPid = $sortInfo['pid']; // Setting the destPid to the new pid of the record.
-				if (is_array($sortInfo))	{	// If not an array, there was an error (which is already logged)
+				if (is_array($sortInfo)) { // If not an array, there was an error (which is already logged)
-					if ($table!='pages' || $this->destNotInsideSelf($destPid,$uid))	{
+					if ($table != 'pages' || $this->destNotInsideSelf($destPid, $uid)) {
-						$this->clear_cache($table,$uid);	// clear cache before moving
+						$this->clear_cache($table, $uid); // clear cache before moving
 
 							// We now update the pid and sortnumber
 						$updateFields['pid'] = $destPid;
 						$updateFields[$sortRow] = $sortInfo['sortNumber'];
 
 							// check for child records that have also to be moved
-						$this->moveRecord_procFields($table,$uid,$destPid);
+						$this->moveRecord_procFields($table, $uid, $destPid);
 							// Create query for update:
-						$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid='.intval($uid), $updateFields);
+						$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid=' . intval($uid), $updateFields);
 							// check for the localizations of that element
 						$this->moveL10nOverlayRecords($table, $uid, $destPid);
 
 							// Call post processing hooks:
-						foreach($hookObjectsArr as $hookObj) {
+						foreach ($hookObjectsArr as $hookObj) {
 							if (method_exists($hookObj, 'moveRecord_afterAnotherElementPostProcess')) {
 								$hookObj->moveRecord_afterAnotherElementPostProcess($table, $uid, $destPid, $origDestPid, $moveRec, $updateFields, $this);
 							}
 						}
 
 							// Logging...
-						$newPropArr = $this->getRecordProperties($table,$uid);
+						$newPropArr = $this->getRecordProperties($table, $uid);
-						$oldpagePropArr = $this->getRecordProperties('pages',$propArr['pid']);
+						$oldpagePropArr = $this->getRecordProperties('pages', $propArr['pid']);
-						if ($destPid!=$propArr['pid'])	{
+						if ($destPid != $propArr['pid']) {
-							$newpagePropArr = $this->getRecordProperties('pages',$destPid);
+							$newpagePropArr = $this->getRecordProperties('pages', $destPid);
-							$this->log($table,$uid,4,0,0,"Moved record '%s' (%s) to page '%s' (%s)",2,array($propArr['header'],$table.':'.$uid, $newpagePropArr['header'], $newPropArr['pid']),$propArr['pid']);	// Logged to old page
+							$this->log($table, $uid, 4, 0, 0, "Moved record '%s' (%s) to page '%s' (%s)", 2, array($propArr['header'], $table . ':' . $uid, $newpagePropArr['header'], $newPropArr['pid']), $propArr['pid']); // Logged to old page
-							$this->log($table,$uid,4,0,0,"Moved record '%s' (%s) from page '%s' (%s)",3,array($propArr['header'],$table.':'.$uid, $oldpagePropArr['header'], $propArr['pid']),$destPid);	// Logged to new page
+							$this->log($table, $uid, 4, 0, 0, "Moved record '%s' (%s) from page '%s' (%s)", 3, array($propArr['header'], $table . ':' . $uid, $oldpagePropArr['header'], $propArr['pid']), $destPid); // Logged to new page
 						} else {
-							$this->log($table,$uid,4,0,0,"Moved record '%s' (%s) on page '%s' (%s)",4,array($propArr['header'],$table.':'.$uid, $oldpagePropArr['header'], $propArr['pid']),$destPid);	// Logged to new page
+							$this->log($table, $uid, 4, 0, 0, "Moved record '%s' (%s) on page '%s' (%s)", 4, array($propArr['header'], $table . ':' . $uid, $oldpagePropArr['header'], $propArr['pid']), $destPid); // Logged to new page
 						}
 
 							// clear cache after moving
-						$this->clear_cache($table,$uid);
+						$this->clear_cache($table, $uid);
 
 							// fixUniqueInPid
-						$this->fixUniqueInPid($table,$uid);
+						$this->fixUniqueInPid($table, $uid);
 
 							// fixCopyAfterDuplFields
-						if ($origDestPid<0)	{$this->fixCopyAfterDuplFields($table,$uid,abs($origDestPid),1);}
+						if ($origDestPid < 0) {
+							$this->fixCopyAfterDuplFields($table, $uid, abs($origDestPid), 1);
+						}
 					} else {
-						$destPropArr = $this->getRecordProperties('pages',$destPid);
+						$destPropArr = $this->getRecordProperties('pages', $destPid);
-						$this->log($table,$uid,4,0,1,"Attempt to move page '%s' (%s) to inside of its own rootline (at page '%s' (%s))",10,array($propArr['header'],$uid, $destPropArr['header'], $destPid),$propArr['pid']);
+						$this->log($table, $uid, 4, 0, 1, "Attempt to move page '%s' (%s) to inside of its own rootline (at page '%s' (%s))", 10, array($propArr['header'], $uid, $destPropArr['header'], $destPid), $propArr['pid']);
 					}
 				}
 			} else {
-				$this->log($table,$uid,4,0,1,"Attempt to move record '%s' (%s) to after another record, although the table has no sorting row.",13,array($propArr['header'],$table.':'.$uid),$propArr['event_pid']);
+				$this->log($table, $uid, 4, 0, 1, "Attempt to move record '%s' (%s) to after another record, although the table has no sorting row.", 13, array($propArr['header'], $table . ':' . $uid), $propArr['event_pid']);
 			}
 		}
 	}
@@ -3635,13 +3634,13 @@
 	 * @param	string		$destPid: Position to move to
 	 * @return	void
 	 */
-	function moveRecord_procFields($table,$uid,$destPid) {
+	function moveRecord_procFields($table, $uid, $destPid) {
 		t3lib_div::loadTCA($table);
 		$conf = $GLOBALS['TCA'][$table]['columns'];
-		$row = t3lib_BEfunc::getRecordWSOL($table,$uid);
+		$row = t3lib_BEfunc::getRecordWSOL($table, $uid);
-		if (is_array($row))	{
+		if (is_array($row)) {
 			foreach ($row as $field => $value) {
-				$this->moveRecord_procBasedOnFieldType($table,$uid,$destPid,$field,$value,$conf[$field]['config']);
+				$this->moveRecord_procBasedOnFieldType($table, $uid, $destPid, $field, $value, $conf[$field]['config']);
 			}
 		}
 	}
@@ -3728,30 +3727,30 @@
 	function localize($table, $uid, $language) {
 		global $TCA;
 
-		$newId = false;
+		$newId = FALSE;
 		$uid = intval($uid);
 
-		if ($TCA[$table] && $uid)	{
+		if ($TCA[$table] && $uid) {
 			t3lib_div::loadTCA($table);
 
-			if (($TCA[$table]['ctrl']['languageField'] && $TCA[$table]['ctrl']['transOrigPointerField'] && !$TCA[$table]['ctrl']['transOrigPointerTable']) || $table==='pages')	{
+			if (($TCA[$table]['ctrl']['languageField'] && $TCA[$table]['ctrl']['transOrigPointerField'] && !$TCA[$table]['ctrl']['transOrigPointerTable']) || $table === 'pages') {
-				if ($langRec = t3lib_BEfunc::getRecord('sys_language',intval($language),'uid,title'))	{
+				if ($langRec = t3lib_BEfunc::getRecord('sys_language', intval($language), 'uid,title')) {
-					if ($this->doesRecordExist($table,$uid,'show'))	{
+					if ($this->doesRecordExist($table, $uid, 'show')) {
 
-						$row = t3lib_BEfunc::getRecordWSOL($table,$uid);	// Getting workspace overlay if possible - this will localize versions in workspace if any
+						$row = t3lib_BEfunc::getRecordWSOL($table, $uid); // Getting workspace overlay if possible - this will localize versions in workspace if any
-						if (is_array($row))	{
+						if (is_array($row)) {
-							if ($row[$TCA[$table]['ctrl']['languageField']] <= 0 || $table==='pages')	{
+							if ($row[$TCA[$table]['ctrl']['languageField']] <= 0 || $table === 'pages') {
-								if ($row[$TCA[$table]['ctrl']['transOrigPointerField']] == 0 || $table==='pages')	{
+								if ($row[$TCA[$table]['ctrl']['transOrigPointerField']] == 0 || $table === 'pages') {
-									if ($table==='pages')	{
+									if ($table === 'pages') {
-										$pass = $TCA[$table]['ctrl']['transForeignTable']==='pages_language_overlay' && !t3lib_BEfunc::getRecordsByField('pages_language_overlay','pid',$uid,' AND '.$TCA['pages_language_overlay']['ctrl']['languageField'].'='.intval($langRec['uid']));
+										$pass = $TCA[$table]['ctrl']['transForeignTable'] === 'pages_language_overlay' && !t3lib_BEfunc::getRecordsByField('pages_language_overlay', 'pid', $uid, ' AND ' . $TCA['pages_language_overlay']['ctrl']['languageField'] . '=' . intval($langRec['uid']));
 										$Ttable = 'pages_language_overlay';
 										t3lib_div::loadTCA($Ttable);
 									} else {
-										$pass = !t3lib_BEfunc::getRecordLocalization($table, $uid, $langRec['uid'], 'AND pid='.intval($row['pid']));
+										$pass = !t3lib_BEfunc::getRecordLocalization($table, $uid, $langRec['uid'], 'AND pid=' . intval($row['pid']));
 										$Ttable = $table;
 									}
 
-									if ($pass)	{
+									if ($pass) {
 
 											// Initialize:
 										$overrideValues = array();
@@ -3762,27 +3761,27 @@
 										$overrideValues[$TCA[$Ttable]['ctrl']['transOrigPointerField']] = $uid;
 
 											// Set exclude Fields:
-										foreach($TCA[$Ttable]['columns'] as $fN => $fCfg)	{
+										foreach ($TCA[$Ttable]['columns'] as $fN => $fCfg) {
-											if ($fCfg['l10n_mode']=='prefixLangTitle')	{	// Check if we are just prefixing:
+											if ($fCfg['l10n_mode'] == 'prefixLangTitle') { // Check if we are just prefixing:
-												if (($fCfg['config']['type']=='text' || $fCfg['config']['type']=='input') && strlen($row[$fN]))	{
+												if (($fCfg['config']['type'] == 'text' || $fCfg['config']['type'] == 'input') && strlen($row[$fN])) {
-													list($tscPID) = t3lib_BEfunc::getTSCpid($table,$uid,'');
+													list($tscPID) = t3lib_BEfunc::getTSCpid($table, $uid, '');
 													$TSConfig = $this->getTCEMAIN_TSconfig($tscPID);
 
-													if (isset($TSConfig['translateToMessage']) && strlen($TSConfig['translateToMessage']))	{
+													if (isset($TSConfig['translateToMessage']) && strlen($TSConfig['translateToMessage'])) {
 														$translateToMsg = @sprintf($TSConfig['translateToMessage'], $langRec['title']);
 													}
-													if (!strlen($translateToMsg))	{
+													if (!strlen($translateToMsg)) {
-														$translateToMsg = 'Translate to '.$langRec['title'].':';
+														$translateToMsg = 'Translate to ' . $langRec['title'] . ':';
 													}
 
-													$overrideValues[$fN] = '['.$translateToMsg.'] '.$row[$fN];
+													$overrideValues[$fN] = '[' . $translateToMsg . '] ' . $row[$fN];
 												}
-											} elseif (t3lib_div::inList('exclude,noCopy,mergeIfNotBlank',$fCfg['l10n_mode']) && $fN!=$TCA[$Ttable]['ctrl']['languageField'] && $fN!=$TCA[$Ttable]['ctrl']['transOrigPointerField']) {	 // Otherwise, do not copy field (unless it is the language field or pointer to the original language)
+											} elseif (t3lib_div::inList('exclude,noCopy,mergeIfNotBlank', $fCfg['l10n_mode']) && $fN != $TCA[$Ttable]['ctrl']['languageField'] && $fN != $TCA[$Ttable]['ctrl']['transOrigPointerField']) { // Otherwise, do not copy field (unless it is the language field or pointer to the original language)
 												$excludeFields[] = $fN;
 											}
 										}
 
-										if ($Ttable === $table)	{
+										if ($Ttable === $table) {
 
 												// Execute the copy:
 											$newId = $this->copyRecord($table, $uid, -$uid, 1, $overrideValues, implode(',', $excludeFields), $language);
